Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
EggRetargetAnim Class Reference

Retargets one or more animation files from one particular skeleton to a similar, but differently scaled skeleton by preserving the rotation information but discarding translation and/or scale. More...

`#include "eggRetargetAnim.h"`

Inheritance diagram for EggRetargetAnim:

## Public Member Functions
void | retarget_anim (EggCharacterData *char_data, EggJointData *joint_data, int reference_model, const pset< std::string > &keep_names, EggCharacterDb &db)
| Recursively replaces the scale and translate information on all of the joints in the char_data hierarchy wiht this from reference_char.
void | run ()
Public Member Functions inherited from EggCharacterFilter
void | add_fixrest_option ()
Public Member Functions inherited from EggMultiFilter
| EggMultiFilter (bool allow_empty=false)
Public Member Functions inherited from EggMultiBase
void | post_process_egg_files ()
| Performs any processing of the egg file(s) that is appropriate before writing them out.
Public Member Functions inherited from EggBase
void | add_normals_options ()
| Adds -no, -np, etc.
void | add_points_options ()
| Adds -points as a valid option for this program.
void | add_transform_options ()
| Adds -TS, -TT, etc.
Public Member Functions inherited from ProgramBase
| ProgramBase (const std::string &name=std::string())
std::string | get_exec_command () const
| Returns the command that invoked this program, as a shell-friendly string, suitable for pasting into the comments of output files.
virtual void | parse_command_line (int argc, char **argv)
| Dispatches on each of the options on the command line, and passes the remaining parameters to handle_args().
void | show_description ()
| Writes the program description to stderr.
void | show_options ()
| Describes each of the available options to stderr.
void | show_text (const std::string &prefix, int indent_width, std::string text)
| Formats the indicated text and its prefix for output to stderr with the known _terminal_width.
void | show_text (const std::string &text)
| Formats the indicated text to stderr with the known _terminal_width.
void | show_usage ()
| Writes the usage line(s) to stderr.
void | write_man_page (std::ostream &out)
| Generates a man page in nroff syntax based on the description and options.

## Public Attributes
vector_string | _keep_joints
Filename | _reference_filename
Public Attributes inherited from ProgramBase
Args | _program_args
Filename | _program_name

## Additional Inherited Members
Public Types inherited from ProgramBase
typedef pdeque< std::string > | Args
Static Public Member Functions inherited from EggBase
static void | convert_paths (EggNode *node, PathReplace *path_replace, const DSearchPath &additional_path)
| Recursively walks the egg hierarchy.

## Detailed Description

Retargets one or more animation files from one particular skeleton to a similar, but differently scaled skeleton by preserving the rotation information but discarding translation and/or scale.

Definition at line 33 of file eggRetargetAnim.h.

## Constructor & Destructor Documentation

## ◆ EggRetargetAnim()

EggRetargetAnim::EggRetargetAnim | ( |  | ) |

Definition at line 28 of file eggRetargetAnim.cxx.

## Member Function Documentation

## ◆ retarget_anim()

void EggRetargetAnim::retarget_anim | ( | EggCharacterData * | char_data,
|  | EggJointData * | joint_data,
|  | int | reference_model,
|  | const pset< std::string > & | keep_names,
|  | EggCharacterDb & | db )

Recursively replaces the scale and translate information on all of the joints in the char_data hierarchy wiht this from reference_char.

Definition at line 134 of file eggRetargetAnim.cxx.

References EggJointData::get_frame(), EggComponentData::get_model(), EggCharacterData::get_num_frames(), EggComponentData::get_num_models(), EggComponentData::has_model(), retarget_anim(), and EggCharacterDb::set_matrix().

Referenced by retarget_anim().

## ◆ run()

void EggRetargetAnim::run | ( |  | ) |

Definition at line 63 of file eggRetargetAnim.cxx.

## Member Data Documentation

## ◆ _keep_joints

vector_string EggRetargetAnim::_keep_joints

Definition at line 44 of file eggRetargetAnim.h.

## ◆ _reference_filename

Filename EggRetargetAnim::_reference_filename

Definition at line 43 of file eggRetargetAnim.h.

The documentation for this class was generated from the following files:

- pandatool/src/eggprogs/eggRetargetAnim.h
- pandatool/src/eggprogs/eggRetargetAnim.cxx